org.multiverse.api.collections

## Interface TxnSet<E>

All Superinterfaces:
  java.util.Collection<E>, java.lang.Iterable<E>, java.util.Set<E>, TxnCollection<E>, TxnIterable<E>

All Known Implementing Classes:
  NaiveTxnHashSet

    public interface TxnSet<E>
    extends TxnCollection<E>, java.util.Set<E>

### Method Summary

### Methods inherited from interface org.multiverse.api.collections.TxnCollection

`add, addAll, addAll, addAll, clear, contains, containsAll, getStm, isEmpty, remove, size, toString`

### Methods inherited from interface org.multiverse.api.collections.TxnIterable

`iterator, iterator`

### Methods inherited from interface java.util.Set

`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`